> ## Documentation Index
> Fetch the complete documentation index at: https://bytebeam.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1firmware bundles



## OpenAPI

````yaml post /api/v1/firmware-bundles
openapi: 3.0.1
info:
  title: Consoled REST APIs
  description: |-
    Once you have gone through the documentation on Bytebeam Cloud, 
                                              you might want to integrate Bytebeam programmatically in your own applications. 
                                              Our REST API is available to you for performing all operations you can do on the Cloud platform UI.
  termsOfService: https://bytebeam.io/terms
  version: 0.0.1
servers:
  - url: https://cloud.bytebeam.io/
security:
  - apiKeyAuth: []
    tenantAuth: []
tags:
  - name: admin
    description: Admin APIs
  - name: devices
    description: Device Management
  - name: data
    description: Data Access APIs
  - name: logs
    description: Audit Logs
  - name: misc
    description: Miscellaneous
externalDocs:
  description: Product Documentation
  url: https://bytebeam.io/docs
paths:
  /api/v1/firmware-bundles:
    post:
      tags: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FirmwareBundleCreate'
          application/transit+msgpack:
            schema:
              $ref: '#/components/schemas/FirmwareBundleCreate'
          application/transit+json:
            schema:
              $ref: '#/components/schemas/FirmwareBundleCreate'
          application/edn:
            schema:
              $ref: '#/components/schemas/FirmwareBundleCreate'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FirmwareBundleCreated'
            application/transit+msgpack:
              schema:
                $ref: '#/components/schemas/FirmwareBundleCreated'
            application/transit+json:
              schema:
                $ref: '#/components/schemas/FirmwareBundleCreated'
            application/edn:
              schema:
                $ref: '#/components/schemas/FirmwareBundleCreated'
components:
  schemas:
    FirmwareBundleCreate:
      required:
        - file_name
        - firmwares
        - version
      type: object
      properties:
        file_name:
          type: string
        firmwares:
          type: array
          items:
            $ref: '#/components/schemas/FirmwareBundleCreateFirmwares'
        version:
          type: string
      additionalProperties: false
    FirmwareBundleCreated:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          format: uuid
      additionalProperties: false
    FirmwareBundleCreateFirmwares:
      required:
        - component_name
        - version_number
      type: object
      properties:
        component_name:
          type: string
        version_number:
          type: string
      additionalProperties: false
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-bytebeam-api-key
      in: header
      description: API key required to authenticate requests.
    tenantAuth:
      type: apiKey
      name: x-bytebeam-tenant
      in: header
      description: Tenant(Project) name required to identify the project.

````